=== debian/changelog ===
ros-lunar-base-local-planner (1.15.2-0stretch) stretch; urgency=high

  * Merge pull request #673 <https://github.com/ros-planning/navigation/issues/673> from ros-planning/email_update_lunar
    update maintainer email (lunar)
  * CostmapModel: Make lineCost and pointCost public (#658 <https://github.com/ros-planning/navigation/issues/658>)
    Make the methods lineCost and pointCost of the CostmapModel class
    public so they can be used outside of the class.
    Both methods are not changing the instance, so this should not cause any
    problems.  To emphasise their constness, add the actual const keyword.
  * Merge pull request #649 <https://github.com/ros-planning/navigation/issues/649> from aaronhoy/lunar_add_ahoy
    Add myself as a maintainer.
  * Contributors: Aaron Hoy, Felix Widmaier, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 22 Mar 2018 07:00:00 -0000

ros-lunar-base-local-planner (1.15.1-0stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 14 Aug 2017 07:00:00 -0000

ros-lunar-base-local-planner (1.15.0-0stretch) stretch; urgency=high

  * set message_generation build and runtime dependency
  * convert packages to format2
  * cleaner logic, fixes #156 <https://github.com/ros-planning/navigation/issues/156>
  * Merge pull request #596 <https://github.com/ros-planning/navigation/issues/596> from ros-planning/lunar_548
  * Add cost function to prevent unnecessary spinning
  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * add missing deps on libpcl
  * import only PCL common
  * pcl proagate -lQt5::Widgets flag so we need to find_package Qt5Widgets (#578 <https://github.com/ros-planning/navigation/issues/578>)
  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * remove GCC warnings
  * Contributors: Lukas Bulwahn, Martin Günther, Michael Ferguson, Mikael Arguedas, Morgan Quigley, Vincent Rabaud, lengly

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 07 Aug 2017 07:00:00 -0000

ros-lunar-base-local-planner (1.14.0-0stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 20 May 2016 07:00:00 -0000

ros-lunar-base-local-planner (1.13.1-0stretch) stretch; urgency=high

  * base_local_planner: some fixes in goal_functions
  * Merge pull request #348 <https://github.com/ros-planning/navigation/issues/348> from mikeferguson/trajectory_planner_fixes
  * fix stuck_left/right calculation
  * fix calculation of heading diff
  * Contributors: Gael Ecorchard, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 29 Oct 2015 07:00:00 -0000

ros-lunar-base-local-planner (1.13.0-0stretch) stretch; urgency=high

  * remove previously deprecated param
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 17 Mar 2015 07:00:00 -0000

ros-lunar-base-local-planner (1.12.0-0stretch) stretch; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Feb 2015 08:00:00 -0000

ros-lunar-base-local-planner (1.11.15-0stretch) stretch; urgency=high

  * Add ARCHIVE_DESTINATION for static builds
  * Contributors: Gary Servin

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 03 Feb 2015 08:00:00 -0000

ros-lunar-base-local-planner (1.11.14-0stretch) stretch; urgency=high

  * Fixed setting child_frame_id in base_local_planner::OdometryHelperRos
  * Contributors: Mani Monajjemi

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 05 Dec 2014 08:00:00 -0000

ros-lunar-base-local-planner (1.11.13-0stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Oct 2014 07:00:00 -0000

ros-lunar-base-local-planner (1.11.12-0stretch) stretch; urgency=high

  * Bugfix uninitialised occ_cost variable usage
    This fixes #256 <https://github.com/ros-planning/navigation/issues/256>.
  * base_local_planner: adds waitForTransform
  * Fixed issue causing trajectory planner returning false to isGoalReach ed even when it's control thread finishes executing
  * Contributors: Daniel Stonier, Marcus Liebhardt, hes3pal

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 01 Oct 2014 07:00:00 -0000

ros-lunar-base-local-planner (1.11.11-0stretch) stretch; urgency=high

  * Minor code cleanup
  * Contributors: Enrique Fernández Perdomo

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 23 Jul 2014 07:00:00 -0000

ros-lunar-base-local-planner (1.11.10-0stretch) stretch; urgency=high

  * Remove unnecessary colons
  * renames acc_lim_th to acc_lim_theta, add warning if using acc_lim_th
  * uses odom child_frame_id to set robot_vel frame_id
  * Contributors: David Lu!!, Michael Ferguson, Enrique Fernández Perdomo

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jun 2014 07:00:00 -0000

ros-lunar-base-local-planner (1.11.9-0stretch) stretch; urgency=high

  * uses ::hypot(x, y) instead of sqrt(x*x, y*y)
  * No need to use limits->
  * Contributors: Enrique Fernández Perdomo

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jun 2014 07:00:00 -0000

ros-lunar-base-local-planner (1.11.8-0stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 07:00:00 -0000

ros-lunar-base-local-planner (1.11.7-0stretch) stretch; urgency=high

  * fixes latch_xy_goal_tolerance param not taken
  * update build to find eigen using cmake_modules
  * Trajectory: fix constness of getter methods
  * Use hypot() instead of sqrt(x*x, y*y)
  * Fix bug in distance calculation for trajectory rollout
  * Some documentation fixes in SimpleTrajectoryGenerator
  * Contributors: Michael Ferguson, Siegfried-A. Gevatter Pujals, enriquefernandez

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 07:00:00 -0000

ros-lunar-base-local-planner (1.11.5-0stretch) stretch; urgency=high

  * Merge pull request #152 <https://github.com/ros-planning/navigation/issues/152> from KaijenHsiao/hydro-devel

